ProductManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.server.session.ProductManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.server.session
Class ProductManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.product.server.session.ProductManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class ProductManagerEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Constructor Summary
`ProductManagerEJBImpl()`

Method Summary
`void` | `deploymentNotify(java.lang.String pluginName)`
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`ConfigSchema` | `getConfigSchema(java.lang.String type, java.lang.String name, AppdefEntityValue entityVal, ConfigResponse baseResponse)`
`java.lang.String` | `getMonitoringHelp(AppdefEntityValue entityVal, java.util.Map props)`
`static org.hyperic.hq.product.shared.ProductManagerLocal` | `getOne()`
`PluginManager` | `getPluginManager(java.lang.String type)`
`TypeInfo` | `getTypeInfo(AppdefEntityValue value)`
`boolean` | `isReady()`
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `updateDynamicServiceTypePlugin(java.lang.String pluginName, java.util.Set serviceTypes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProductManagerEJBImpl

    public ProductManagerEJBImpl()

Method Detail

### getOne

    public static org.hyperic.hq.product.shared.ProductManagerLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

### isReady

    public boolean isReady()

### getTypeInfo

    public TypeInfo getTypeInfo(AppdefEntityValue value)
                         throws PermissionException,
                                AppdefEntityNotFoundException

  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getPluginManager

    public PluginManager getPluginManager(java.lang.String type)
                                   throws PluginException

  Throws:
    `PluginException`

### getMonitoringHelp

    public java.lang.String getMonitoringHelp(AppdefEntityValue entityVal,
                                              java.util.Map props)
                                       throws PluginNotFoundException,
                                              PermissionException,
                                              AppdefEntityNotFoundException

  Throws:
    `PluginNotFoundException`
    `PermissionException`
    `AppdefEntityNotFoundException`

### getConfigSchema

    public ConfigSchema getConfigSchema(java.lang.String type,
                                        java.lang.String name,
                                        AppdefEntityValue entityVal,
                                        ConfigResponse baseResponse)
                                 throws PluginException,
                                        AppdefEntityNotFoundException,
                                        PermissionException

  Throws:
    `PluginException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### deploymentNotify

    public void deploymentNotify(java.lang.String pluginName)
                          throws PluginNotFoundException,
                                 javax.ejb.FinderException,
                                 javax.ejb.CreateException,
                                 javax.ejb.RemoveException,
                                 VetoException

  Throws:
    `PluginNotFoundException`
    `javax.ejb.FinderException`
    `javax.ejb.CreateException`
    `javax.ejb.RemoveException`
    `VetoException`

### updateDynamicServiceTypePlugin

    public void updateDynamicServiceTypePlugin(java.lang.String pluginName,
                                               java.util.Set serviceTypes)
                                        throws PluginNotFoundException,
                                               javax.ejb.FinderException,
                                               javax.ejb.RemoveException,
                                               javax.ejb.CreateException,
                                               VetoException

  Parameters:
    `pluginName` - The name of the product plugin
    `serviceTypes` - The Set of `ServiceType`s to update
  Throws:
    `PluginNotFoundException`
    `VetoException`
    `javax.ejb.CreateException`
    `javax.ejb.RemoveException`
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.